app:
  description: ''
  icon: 💽
  icon_background: '#FEF7C3'
  mode: completion
  name: SQL 生成器
  use_icon_as_answer_icon: false
dependencies: []
kind: app
model_config:
  agent_mode:
    enabled: false
    max_iteration: 5
    strategy: react
    tools: []
  annotation_reply:
    enabled: false
  chat_prompt_config: {}
  completion_prompt_config: {}
  dataset_configs:
    datasets:
      datasets: []
    retrieval_model: single
  dataset_query_variable: ''
  external_data_tools: []
  file_upload:
    image:
      detail: high
      enabled: false
      number_limits: 3
      transfer_methods:
      - remote_url
      - local_file
  model:
    completion_params:
      frequency_penalty: 0
      max_tokens: 7715
      plugin_web_search: false
      presence_penalty: 0
      stop: []
      temperature: 0.11
      top_p: 0.75
    mode: chat
    name: abab5.5-chat
    provider: minimax
  more_like_this:
    enabled: false
  opening_statement: ''
  pre_prompt: 你是一个 SQL 生成器，将输入的自然语言查询要求以及目标数据库{{A}}，转化成为 SQL 语言。{{default_input}}
  prompt_type: simple
  retriever_resource:
    enabled: false
  sensitive_word_avoidance:
    canned_response: ''
    enabled: false
    words: ''
  speech_to_text:
    enabled: false
  suggested_questions: []
  suggested_questions_after_answer:
    enabled: false
  text_to_speech:
    enabled: false
  user_input_form:
  - select:
      default: ''
      label: 目标数据库
      options:
      - MySQL
      - SQL Server
      - PostgreSQL
      - BigQuery
      - Snowflake
      required: true
      variable: A
  - paragraph:
      default: ''
      label: 查询内容
      required: true
      variable: default_input
version: 0.1.5
